Package Details: supercollider-git 3.11.0.r371.g504ce0537b-1

Git Clone URL: https://aur.archlinux.org/supercollider-git.git (read-only, click to copy)
Package Base: supercollider-git
Description: Environment and programming language for real time audio synthesis and algorithmic composition
Upstream URL: https://supercollider.github.io/
Keywords: audio multimedia supercollider synthesis
Licenses: GPL3
Conflicts: supercollider
Provides: supercollider
Submitter: None
Maintainer: dvzrv
Last Packager: dvzrv
Votes: 14
Popularity: 0.000000
First Submitted: 2010-11-01 21:58
Last Updated: 2020-06-03 20:47

Dependencies (38)

Required by (4)

Sources (9)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

paum commented on 2013-10-12 11:56

[ 5%] Building CXX object server/plugins/CMakeFiles/BinaryOpUGens_supernova.dir/BinaryOpUGens.cpp.o
In file included from /tmp/yaourt-tmp-paum/aur-supercollider-git/src/supercollider-build/external_libraries/boost/boost/atomic.hpp:12:0,
from /tmp/yaourt-tmp-paum/aur-supercollider-git/src/supercollider-build/external_libraries/nova-tt/nova-tt/rw_spinlock.hpp:28,
from /tmp/yaourt-tmp-paum/aur-supercollider-git/src/supercollider-build/include/plugin_interface/SC_SndBuf.h:27,
from /tmp/yaourt-tmp-paum/aur-supercollider-git/src/supercollider-build/include/plugin_interface/SC_World.h:27,
from /tmp/yaourt-tmp-paum/aur-supercollider-git/src/supercollider-build/include/plugin_interface/SC_PlugIn.h:24,
from /tmp/yaourt-tmp-paum/aur-supercollider-git/src/supercollider-build/server/plugins/BinaryOpUGens.cpp:22:
/tmp/yaourt-tmp-paum/aur-supercollider-git/src/supercollider-build/external_libraries/boost/boost/atomic/atomic.hpp:202:16: error: ‘uintptr_t’ was not declared in this scope
typedef atomic<uintptr_t> atomic_uintptr_t;
^

gagnonlg commented on 2013-04-25 02:24

The package fails on build: "yaml-cpp/node.h" is not found. yaml-cpp 0.5.0-1 is installed on my machine.

Running cmake with the -DSYSTEM_YAMLCPP=OFF flag causes the package to use the bundled yaml-cpp library included in the source, and the build suceeds.

dvzrv commented on 2012-07-13 21:12

@smoge: this seems to be breaking on build() and I can't figure out why.
"No submodule mapping found in .gitmodules for path 'external_libraries/boost_lockfree'"
Also new master seems to be 20120713

dvzrv commented on 2012-02-07 01:58

hmm, reinstalling bluez seems to have fixed it for the build... for now.
Now trying to get jack to run. this machine is a monster.

smoge commented on 2012-02-07 01:22

I think wii controller option is broken on Arch. Try `-DSC_WII=0`.
(I just updated with this option off.)

smoge commented on 2012-02-07 01:20

I think wii controller option is broken on Arch. Try `-DSC_WII=0`. I will update this later.

dvzrv commented on 2012-02-07 01:15

Hm, now on another machine. The package fails on build. http://pastebin.com/mSmRWhEE
Any ideas?

dvzrv commented on 2012-01-03 14:13

Thank you for fixing!

dvzrv commented on 2012-01-02 14:58

Eh... was just wondering about the added "cmake-gui" depency, because I could not find that package anywhere.
Is that actually needed for anything else than not being able to build? :D

Anonymous comment on 2011-08-16 13:32

Um, that is to say, change your PKGBUILD accordingly if your machine is a little older like mine. (Of course I would also welcome an automatic solution to this, but I can live without it. ;) )
$ cat /proc/cpuinfo tells you what your processor is capable of in the "flags" line (for me, it says sse and sse2).